<h2>Register user</h2>

<ngb-alert *ngIf="successMessage" type="success" (close)="successMessage = ''">{{ successMessage }}</ngb-alert>
<ngb-alert *ngIf="failureMessage" type="danger" (close)="failureMessage = ''">{{ failureMessage }}</ngb-alert>

<form [formGroup]="registerUserFormGroup" (ngSubmit)="registerUser()">
    <div class="form-group">
        <label for="name">Name</label>
        <input formControlName="name" type="text" class="form-control" id="name" placeholder="Enter name">

        <label for="email">Email</label>
        <input formControlName="email" type="email" class="form-control" id="email"  placeholder="Enter email">

        <label for="password">Password</label>
        <input formControlName="password" type="password" class="form-control" id="password" placeholder="Enter password">
    </div>

    <button type="submit" class="btn btn-primary">Register</button>
</form>